phpBB

Development Wiki

Difference between revisions of "Release Highlights/3.3.0-b1"

From phpBB Development Wiki

Line 7: Line 7:
  
 
== Notable Changes ==
 
== Notable Changes ==
* '''PHP 7.1 required''' - phpBB 3.3.0 will require PHP 7.1 and above [https://tracker.phpbb.com/browse/PHPBB3-14948 PHPBB3-14948]
+
* '''PHP 7.1 required''' - phpBB 3.3.0 will require PHP 7.1 or above [https://tracker.phpbb.com/browse/PHPBB3-14948 PHPBB3-14948]
 
* '''Reset password functionality''' - phpBB will now offer to reset one's password instead of sending a replacement [https://tracker.phpbb.com/browse/PHPBB3-11327 PHPBB3-11327]
 
* '''Reset password functionality''' - phpBB will now offer to reset one's password instead of sending a replacement [https://tracker.phpbb.com/browse/PHPBB3-11327 PHPBB3-11327]
 
* '''MySQL PHP driver no longer supported''' - The mysql driver is no longer supported, the mysqli driver is available as replacement and will be applied automatically [https://tracker.phpbb.com/browse/PHPBB3-16051 PHPBB3-16051]
 
* '''MySQL PHP driver no longer supported''' - The mysql driver is no longer supported, the mysqli driver is available as replacement and will be applied automatically [https://tracker.phpbb.com/browse/PHPBB3-16051 PHPBB3-16051]

Revision as of 18:46, 23 October 2019

This page highlights important changes in phpBB 3.3.0-b1

New Features

  • PHP 7.3 compatibility - phpBB 3.3.0 is PHP 7.3 compatible and also on track for being compatible with PHP 7.4 PHPBB3-15828PHPBB3-14948
  • Invisible reCAPTCHA - Invisible reCAPTCHA is supported by default PHPBB3-15564
  • Argon2i and Argon2id password hashing - Argon2i (on PHP 7.2) and Argon2id (PHP >= 7.3) are supported PHPBB3-15646PHPBB3-16017

Notable Changes

  • PHP 7.1 required - phpBB 3.3.0 will require PHP 7.1 or above PHPBB3-14948
  • Reset password functionality - phpBB will now offer to reset one's password instead of sending a replacement PHPBB3-11327
  • MySQL PHP driver no longer supported - The mysql driver is no longer supported, the mysqli driver is available as replacement and will be applied automatically PHPBB3-16051
  • APC, eAccelerator, XCache removed - These caches are no longer supported on PHP >= 7.0 PHPBB3-16081PHPBB3-16082PHPBB3-15935

Notable bugfixes

  • Vagrant working - Changes to phpBB's requirements in 3.3 will results in a yet again working vagrant PHPBB3-16057

Notable Backend Changes

  • Symfony 3.4 - phpBB 3.3 uses Symfony 3.4 as its base PHPBB3-14948
  • jQuery 3.4 - jQuery has been updated to the latest 3.4 branch PHPBB3-15437
  • Twig 2.x - Twig was upgraded to 2.x PHPBB3-15508